# Interface methods for submodule: IntermodesThresholdImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import HistogramThresholdImageFilterProxy as _HistogramThresholdImageFilterProxy


# Interface methods for class: IntermodesThresholdImageFilter
class IntermodesThresholdImageFilterProxy(_HistogramThresholdImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMaximumSmoothingIterations(self, _arg: int) -> None:
		""""""
		...

	def GetMaximumSmoothingIterations(self) -> int:
		""""""
		...

	def SetUseInterMode(self, _arg: bool) -> None:
		""""""
		...

	def GetUseInterMode(self) -> bool:
		""""""
		...

	def UseInterModeOn(self) -> None:
		""""""
		...

	def UseInterModeOff(self) -> None:
		""""""
		...

